﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace TizenAlarm
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class AlarmPage : ContentPage
    {
        public AlarmPage()
        {
            InitializeComponent();
            alarmDatepicker.MinimumDate = DateTime.Now;
            alarmButton.Clicked += OnButtonClicked;
            alarmTimePicker.Time = DateTime.Now.TimeOfDay;
        }

        public void OnButtonClicked(object sender, EventArgs e)
        {
            double value = alarmSoundSlider.Value;

            DateTime selectedTime = new DateTime(alarmDatepicker.Date.Year,
                alarmDatepicker.Date.Month, alarmDatepicker.Date.Day,
                alarmTimePicker.Time.Hours, alarmTimePicker.Time.Minutes
                , alarmTimePicker.Time.Seconds);

            if (selectedTime.CompareTo(DateTime.Now) < 0)
                DisplayAlert("Alert", "Select time greater than current time!", "OK");
            else
            {
                DependencyService.Get<IAlarmSetter>().SetAlarm(selectedTime, alarmText.Text);
                DisplayAlert("Alert", "Reminder Added with Text : \"" + alarmText.Text + "\"" , "OK");
            }
            alarmText.Text = "";
        }
    }
}